function logf = cv_stpp(x,y,basis_x,basis_y,p1,p2,sm,per)
% logf = cv_stpp(x,y,basis_x,basis_y,p1,p2,sm,per)
%
% Five-fold cross-validated log-densities for STPP models
%
% INPUT: As in STPP.
%
% OUTPUT: logf (n x 1) cross-validated log-densities.
%
% External calls: STPP, PRED_STPP
%
% Version: March 2019

n = length(x);
logf = -Inf(n,1);
B = round(n/5);
itmax = 20;
for i = 1:5
    disp(['---> Training set ' num2str(i) ' of 5']) 
    itest = ((i-1)*B+1):(i*B);
    if i==5
        itest = ((i-1)*B+1):n;
    end
    itrain = setdiff(1:n,itest);
    try
        [T,param] = evalc('stpp(x(itrain),y(itrain),basis_x,basis_y,p1,p2,sm,per,itmax)');
    catch ME1
        param = [];
    end
    if ~isempty(param)
        [T,logf(itest)] = evalc('pred_stpp(x(itest),y(itest),basis_x,basis_y,param)');
    end
end
end
