function plot_pc_t(c0,C,s2,basis)
% plot_pc_t(c0,C,s2,basis)
% Plots (exp of) temporal mean plus/minus pc's for STPP models
%
% Input parameters c0, C, s2, basis are outputs of STPP
%   (in STPP's notation, s2 = s2u and basis = basis_x)
%
% External calls: BSPL
%
% Version: April 2019

knots = linspace(basis.rng(1),basis.rng(2),basis.nk+2);
t = linspace(basis.rng(1),basis.rng(2),100);
B = bspl(t,basis.or,knots,0);

p = size(C,2);
mu = B*c0;
if p==0
    figure
    plot(t,exp(mu),'b-')
    title('Baseline')
else
    phi = B*C;
    for i = 1:p
        figure
        c = 2*sqrt(s2(i));
        plot(t,exp(mu),'b-',t,exp(mu-c*phi(:,i)),'g',t,exp(mu+c*phi(:,i)),'r')
        title(['PC ' num2str(i)])
    end
end
    